<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RRegionMatrix StructType
 * @subpackage Structs
 */
class RRegionMatrix extends AbstractStructBase
{
    /**
     * The bandwidth
     * Meta information extracted from the WSDL
     * - documentation: The new bandwidth value for this particular region relationship.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $bandwidth;
    /**
     * The videoBandwidth
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $videoBandwidth;
    /**
     * The regionAName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $regionAName;
    /**
     * The regionBName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $regionBName;
    /**
     * The codecPreference
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $codecPreference;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RRegionMatrix
     * @uses RRegionMatrix::setBandwidth()
     * @uses RRegionMatrix::setVideoBandwidth()
     * @uses RRegionMatrix::setRegionAName()
     * @uses RRegionMatrix::setRegionBName()
     * @uses RRegionMatrix::setCodecPreference()
     * @uses RRegionMatrix::setUuid()
     * @param string $bandwidth
     * @param string $videoBandwidth
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $regionAName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $regionBName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $codecPreference
     * @param string $uuid
     */
    public function __construct($bandwidth = null, $videoBandwidth = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $regionAName = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $regionBName = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $codecPreference = null, $uuid = null)
    {
        $this
            ->setBandwidth($bandwidth)
            ->setVideoBandwidth($videoBandwidth)
            ->setRegionAName($regionAName)
            ->setRegionBName($regionBName)
            ->setCodecPreference($codecPreference)
            ->setUuid($uuid);
    }
    /**
     * Get bandwidth value
     * @return string|null
     */
    public function getBandwidth()
    {
        return $this->bandwidth;
    }
    /**
     * Set bandwidth value
     * @param string $bandwidth
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRegionMatrix
     */
    public function setBandwidth($bandwidth = null)
    {
        $this->bandwidth = $bandwidth;
        return $this;
    }
    /**
     * Get videoBandwidth value
     * @return string|null
     */
    public function getVideoBandwidth()
    {
        return $this->videoBandwidth;
    }
    /**
     * Set videoBandwidth value
     * @param string $videoBandwidth
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRegionMatrix
     */
    public function setVideoBandwidth($videoBandwidth = null)
    {
        $this->videoBandwidth = $videoBandwidth;
        return $this;
    }
    /**
     * Get regionAName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getRegionAName()
    {
        return $this->regionAName;
    }
    /**
     * Set regionAName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $regionAName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRegionMatrix
     */
    public function setRegionAName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $regionAName = null)
    {
        $this->regionAName = $regionAName;
        return $this;
    }
    /**
     * Get regionBName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getRegionBName()
    {
        return $this->regionBName;
    }
    /**
     * Set regionBName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $regionBName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRegionMatrix
     */
    public function setRegionBName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $regionBName = null)
    {
        $this->regionBName = $regionBName;
        return $this;
    }
    /**
     * Get codecPreference value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getCodecPreference()
    {
        return $this->codecPreference;
    }
    /**
     * Set codecPreference value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $codecPreference
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRegionMatrix
     */
    public function setCodecPreference(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $codecPreference = null)
    {
        $this->codecPreference = $codecPreference;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRegionMatrix
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
